GET /pma.json
Summary: Search PMA premarket approvals
Operation ID: getPMApprovals
Auth: unknown
Operation ID: getPMApprovals
Auth: unknown
Description
Access the FDA's Premarket Approval (PMA) database containing applications for high-risk medical devices (Class III). These devices require FDA approval before they can be marketed and are subject to the most stringent regulatory controls.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query using openFDA search syntax. Example: 'product_code:EZW' to search by product code.
skip
(integer, query, optional, default: 0)
Number of results to skip (for pagination)
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search PMA by product code | curl |
https://api.fda.gov/device/pma.json?search=product_code:EZW&limit=5 |
|
| Search PMA with pagination | curl |
https://api.fda.gov/device/pma.json?search=device_name:pacemaker&limit=10&skip=0 |
|
| Count PMA by product code | curl |
https://api.fda.gov/device/pma.json?count=product_code&limit=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:26:06.404925 | 404 | 850ms | |
| 2026-03-23 10:22:24.740319 | 200 | 871ms | |
| 2026-03-23 09:15:22.655638 | 200 | 834ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:22:24.740319 | 27d4d48a305b |
cc00c21192aa |
| 2026-03-23 10:26:06.404925 | cc00c21192aa |
57b1e7534d00 |